#!/usr/bin/gnuplot

day = 1440.
min = 1.

set xl "t [min]"
set yl "mag"

tmp=300.*min
tmp=3000.*min
set xr [-tmp:tmp]
tmp=0.01
#set yr [-tmp:tmp] reverse
set yr [:] reverse
set yr [0.12:-0.020] reverse
set zeroaxis

T0 = 2456224.724705-0.0005
sigma = 0.001
print "T0 = ", T0
print "sigma = ", sigma

g(MJD) = (MJD+2400000-T0)*day

T1 = 2456224.72292719
C0 = 5.71420498002732e-05
C1 = -7.16053317780632e-05
A0 = -0.000743579833386135
A1 = -0.000141099091168053
P0 = 0.42388449691248
P1 = 0.000302324292827987

h(JD) = JD-T1
f(JD) = 1. + C0 + C1*h(JD) - (A0 + A1*h(JD)) * sin(2.*pi*h(JD) / (P0+P1*h(JD)))

p \
  "most.v4.pmin.01.dat" u (g($1)):($2 - f($1+2400000.0))            w l lt 1 lw 2,\
  "most.v4.pmin.01.dat" u (g($1-sigma)):($2 - f($1+2400000.0))  not w l lt 7,\
  "most.v4.pmin.01.dat" u (g($1+sigma)):($2 - f($1+2400000.0))  not w l lt 7,\
  "most.v4.pmin.01.dat" u (-g($1)):($2 - f($1+2400000.0)) w l lt 3 lw 2,\
  1. w l lt 0
  
pa -1

set term post eps enh color
set out "most.v4.pmin.01_MINIMUM.eps"
rep

set table "most.v4.pmin.01_REMOVED.dat"
set format "%.8f"
p "most.v4.pmin.01.dat" u ($1+2400000.0):($2 - f($1+2400000.0) + 1.0) w l lt 1 lw 2
unset table

print "P0 = ", P0, " day"
JD = 2456222.9382000; P = P0+P1*h(JD); print "P_begin = ", P, " day";
JD = 2456226.5109000; P = P0+P1*h(JD); print "P_end = ", P, " day"

q


